package math.games;

import math.utils.ArrayUtil;
import math.utils.Util;

public class Game03 {
    public static void main(String[] args) {
        double[] arr = {3, 6, 5, 4};
        GameMatrix gm = new GameMatrix(arr, 2);
        Cell maximin = gm.maximin();
        Util.print("macierz gry: ");
        ArrayUtil.print(arr);
        Util.print("maximin: " + maximin);
        Cell minimax = gm.minimax();
        Util.print("minimax: " + minimax);
        Util.print("ma siodło: " + gm.hasSaddle());
        Util.print("siodło: " + gm.getSaddle());
        double[] rowFreq = gm.getRowFreq();
        Util.print("częstotliwości dla rzędów: ");
        ArrayUtil.print(rowFreq);
        double[] colFreq = gm.getColFreq();
        Util.print("częstotliwości dla kolumn: ");
        ArrayUtil.print(colFreq);
    }
}
